Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.util
Class ObjectStorer

    java.lang.Object
      edu.stanford.smi.protegex.util.ObjectStorer

    public class ObjectStorer

extends Object

This class defines static methods which can be used to help store a bean in a Protege property list. The basic idea is this: an objec thas a set of eligible fields. In order to be eligible, a field must (1) Point to a primitive type (or a related object version of a primitive type) (2) Not end in "_KEYNAME" (capitalization significant) (3) Not end in "_DEFAULTVALUE" (capitalization significant) Fields of type 2 and 3 are useful as "hinting mechanisms" to the storage engine. That is, if they exist and have values, they will be used in the reading and writing process. If no value exists in reading, the default value will be used instead If the key name is defined, it will be used to store values in and out of the property list (otherwise the fieldname will be used as the key). Not used

Author:
  William Grosso

Constructor Summary
`ObjectStorer()`

Method Summary
`void` | `readFromPropertyList(PropertyList pList)`
`static void` | `readObjectFromPropertyList(PropertyList pList, Object object)`
`void` | `writeToPropertyList(PropertyList pList)`
`static void` | `writeToPropertyList(PropertyList pList, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectStorer

    public ObjectStorer()

Method Detail

### readFromPropertyList

    public void readFromPropertyList(PropertyList pList)

### readObjectFromPropertyList

    public static void readObjectFromPropertyList(PropertyList pList,
                                                  Object object)

### writeToPropertyList

    public void writeToPropertyList(PropertyList pList)

### writeToPropertyList

    public static void writeToPropertyList(PropertyList pList,
                                           Object object)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request